Dépassement de tampon dans ImageMagick

ImageMagick est un ensemble de bibliothèques et de programmes utilisés pour convertir et manipuler les images dans plusieurs formats différents, sous Linux. Il existe également un module ImageMagick pour le serveur web Apache2.

Anton Kortunov indique que des fichiers GIF contrefaits pourraient faire planter l'application et même conduire à une exécution de code arbitraire sur la machine.

Mettez à jour vos paquets imagemagick sur votre machine afin de corriger ce problème.

  • Debian Wheezy : Problème corrigé dans la version 8:6.7.7.10-5+deb7u2.
  • Debian Sid : Problème corrigé dans la version 8:6.7.7.10-6.

Debian Squeeze n'est pas concerné pas cette vulnérabilité.

cover-imagemagick

Partagez cet article Partager sur Twitter Partager sur Facebook Partager sur Linkedin Partager sur Google+ Envoyer par mail

Florian B.

Consultant chez Délibérata le jour, blogueur pour IT-Connect la nuit, je souhaite partager mon expérience et mes découvertes au travers de mes articles. Généraliste avec une attirance particulière pour les solutions Microsoft et le scripting. Bonne lecture.

florian has 2279 posts and counting.See all posts by florian

Laisser un commentaire

Votre adresse de messagerie ne sera pas publiée. Les champs obligatoires sont indiqués avec *

 

Ce site utilise Akismet pour réduire les indésirables. En savoir plus sur comment les données de vos commentaires sont utilisées.